Subject: bug#52179: Highlighting a word in `ispell' using `enchant'

From: Tor Kringeland <[email-masked]>
Date: Tue, 24 May 2022 15:49:45 +0000

I had another look at it and managed to solve the problem. By default `ispell-dictionary-base-alist' is conservative in setting the regexes for what counts as a word in a given language. I had set `ispell-current-dictionary' to nil so enchant would choose the dictionary on its own. The nil entry in the aforementioned alist says a word is a string with the letters A-Z or a-z and possibly containing '. Changing it to [[:alpha:]] solved the issue.

The restrictive regexes are set in `ispell-dictionary-base-alist' but in `ispell-dictionary-alist' (at least for me) most of the regexes are changed to [[:alpha:]]. I'm not sure how that is done but probably there's some good logic behind it. "british" and "american" (as well as the nil entry) still have the restrictive regexes, though ...

Could we change the nil entry to have the [[:alpha:]] regex? So, if the user doesn't explicitly set their dictionary, it works more as expected?